Summary:	X.org video driver for Trident video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Trident
Name:		xorg-driver-video-trident
Version:	1.3.6
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-trident-%{version}.tar.bz2
# Source0-md5:	86fed7e2b2876cb349f958cdd8319118
Patch0:		mibstore.patch
Patch1:		fix-loading-the-driver-without-XAA.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-trident < 1:7.0.0
Obsoletes:	XFree86-Trident
Obsoletes:	XFree86-driver-trident < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Trident video adapters. It supports PCI, AGP
and ISA video cards based on the following chips:
- Blade (Blade3D, CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1,
  Ai1 (DSTN), CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP),
- Image (3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
  Cyber9397DVD),
- ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
- TGUI (9440AGi, 9660, 9680),
- ISA/VLBus (8900C, 8900D, 9000, 9200CXr, Cyber9320, 9400CXi,
  9440AGi).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Trident. Obsługuje karty
PCI, AGP i ISA oparte na następujących układach:
- Blade (Blade3D, CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1,
  Ai1 (DSTN), CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP),
- Image (3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
  Cyber9397DVD),
- ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
- TGUI (9440AGi, 9660, 9680),
- ISA/VLBus (8900C, 8900D, 9000, 9200CXr, Cyber9320, 9400CXi,
  9440AGi).

%prep
%setup -q -n xf86-video-trident-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/trident_drv.so
%{_mandir}/man4/trident.4*
%changelog
* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 3ea3ac0
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a746b4
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 642d640
- updated to 1.3.6

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d354fa
- updated to 1.3.5

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1774db9
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ee9b66
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> f23db0d
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> abdebb5
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 5ab9400
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 254df1a
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 99ade47
- up to 1.3.4

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a5f9d5
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b92a079
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 43ca1ec
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dd79a6
- up to 1.3.3

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 2268fed
- updated to 1.3.2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b087fc
- up to 1.3.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cedfd48
- release 5

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bcf45e
- release 4

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b62e3ae
- release 3

